dP.Product = {
  getByID: function(id) {
    return dP.products[id];
  },
  getComponents: function(product) {
    return dP.componentsListHashByProduct[ product.id ] || [];
  },
  getTags: function(product) {
    return product.tags.map(dP.Tag.getByID);
  }
};